%define upstream_name    Test-Portability-Files
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check file names portability
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.230.400
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module is used to check the portability across operating systems of
the names of the files present in the distribution of a module. The tests
use the advices given in the perlport/"Files and Filesystems" manpage. The
author of a distribution can select which tests to execute.

To use this module, simply copy the code from the synopsis in a test file
named _t/portfs.t_ for example, and add it to your _MANIFEST_. You can
delete the call to 'options()' to enable only most common tests.

By default, not all tests are enabled because some are judged too
cumbersome to be practical, especially since some of the most limited
platforms (like MS-DOS) seem to be no longer supported. Here are the
default options:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-4.mga10
+ Revision: 2205280
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.100.0-3.mga9
+ Revision: 1811246
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.100.0-2.mga8
+ Revision: 1521986
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Jan 07 2019 tv <tv> 0.100.0-1.mga7
+ Revision: 1350533
- update to 0.10

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-2.mga7
+ Revision: 1286696
- Mageia 7 Mass Rebuild

* Fri Jan 05 2018 tv <tv> 0.90.0-1.mga7
+ Revision: 1190316
- update to 0.09

* Sat Dec 30 2017 tv <tv> 0.80.0-1.mga7
+ Revision: 1188009
- update to 0.08

* Tue Oct 03 2017 tv <tv> 0.70.0-2.mga7
+ Revision: 1166872
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.70.0-1.mga7
+ Revision: 1141523
- update to 0.07

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1034556
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 939339
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 744936
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686519
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515295
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373699
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 317760
- update to 0.06

* Fri Jan 21 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 28818
- mageia rebuild
- imported package perl-Test-Portability-Files

